Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision a08d3c00dcbb9d956c0c86998b341be1da386fb2)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 04f01714d458f4a933c136873fbcc398845e35c2)
@@ -21,4 +21,6 @@
 
 #include <Qt/qevent.h>
+#include <Qt3D/qglbuilder.h>
+#include <Qt3D/qglcube.h>
 
 //#include "GLWorldScene.hpp"
@@ -27,15 +29,25 @@
 
 GLWorldView::GLWorldView(QWidget *parent)
-   : worldscene(NULL) //QGLView(parent),
+   : QGLView(parent), worldscene(NULL)
 {
 //   worldscene = new GLWorldScene(this);
 
-   //setOption(QGLView::ObjectPicking, true);
+   setOption(QGLView::ObjectPicking, true);
 
 //   connect(worldscene, SIGNAL(changed()), this, SLOT(updateGL()));
 }
 
+GLWorldView::~GLWorldView()
+{
+  delete worldscene;
+}
+
+
 void GLWorldView::initializeGL(QGLPainter *painter)
 {
+  QGLBuilder builder;
+  builder << QGL::Faceted;
+  builder << QGLCube();
+  worldscene = builder.finalizedSceneNode();
 //   worldscene->initialize(this, painter);
 }
@@ -43,18 +55,23 @@
 void GLWorldView::paintGL(QGLPainter *painter)
 {
+  painter->setStandardEffect(QGL::LitMaterial);
+  painter->setFaceColor(QGL::AllFaces, QColor(170, 202, 0));
+
+  painter->modelViewMatrix().rotate(45.0f, 1.0f, 1.0f, 1.0f);
+  worldscene->draw(painter);
 //   worldscene->draw(painter);
 }
 
-void GLWorldView::keyPressEvent(QKeyEvent *e)
-{
-   if (e->key() == Qt::Key_Tab) {
-       // The Tab key turns the ShowPicking option on and off,
-       // which helps show what the pick buffer looks like.
-       //setOption(QGLView::ShowPicking, ((options() & QGLView::ShowPicking) == 0));
-       //updateGL();
-   }
-   //QGLView::keyPressEvent(e);
-}
-
+//void GLWorldView::keyPressEvent(QKeyEvent *e)
+//{
+//   if (e->key() == Qt::Key_Tab) {
+//       // The Tab key turns the ShowPicking option on and off,
+//       // which helps show what the pick buffer looks like.
+//       setOption(QGLView::ShowPicking, ((options() & QGLView::ShowPicking) == 0));
+//       updateGL();
+//   }
+//   QGLView::keyPressEvent(e);
+//}
+//
 
 //#include <GL/glu.h>
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision a08d3c00dcbb9d956c0c86998b341be1da386fb2)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision 04f01714d458f4a933c136873fbcc398845e35c2)
@@ -14,9 +14,10 @@
 #endif
 
-#include <Qt/qwidget.h>
-//#include <Qt3D/qglview.h>
+#include "qglview.h"
+#include "qglteapot.h"
 
-class QKeyEvent;
-class GLWorldScene;
+//class QKeyEvent;
+//class GLWorldScene;
+class QGLSceneNode;
 class QGLPainter;
 
@@ -25,9 +26,10 @@
  *
  */
-class GLWorldView : public QWidget // : public QGLView
+class GLWorldView : public QGLView
 {
    Q_OBJECT
 public:
    GLWorldView(QWidget *parent=0);
+   virtual ~GLWorldView();
 
 public slots:
@@ -36,8 +38,9 @@
    void initializeGL(QGLPainter *painter);
    void paintGL(QGLPainter *painter);
-   void keyPressEvent(QKeyEvent *e);
+   //void keyPressEvent(QKeyEvent *e);
 
 private:
-   GLWorldScene *worldscene;
+   //GLWorldScene *worldscene;
+   QGLSceneNode *worldscene;
 };
 
Index: src/UIElements/Views/Qt4/teapotview.cpp
===================================================================
--- src/UIElements/Views/Qt4/teapotview.cpp	(revision a08d3c00dcbb9d956c0c86998b341be1da386fb2)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * teapotview.cpp
- *
- *  Created on: Aug 16, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "teapotview.hpp"
-#include "qglbuilder.h"
-#include "qglscenenode.h"
-#include "qglcube.h"
-
-#include "CodePatterns/MemDebug.hpp"
-
-void TeapotView::initializeGL(QGLPainter *painter)
-{
-  QGLBuilder builder;
-  builder << QGL::Faceted;
-  builder << QGLCube();
-  teapot = builder.finalizedSceneNode();
-}
-
-TeapotView::~TeapotView()
-{
-  delete teapot;
-}
-
-void TeapotView::paintGL(QGLPainter *painter)
-{
-  painter->setStandardEffect(QGL::LitMaterial);
-  painter->setFaceColor(QGL::AllFaces, QColor(170, 202, 0));
-
-  painter->modelViewMatrix().rotate(45.0f, 1.0f, 1.0f, 1.0f);
-  teapot->draw(painter);
-}
Index: src/UIElements/Views/Qt4/teapotview.hpp
===================================================================
--- src/UIElements/Views/Qt4/teapotview.hpp	(revision a08d3c00dcbb9d956c0c86998b341be1da386fb2)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * teapotview.hpp
- *
- *  Created on: Aug 16, 2011
- *      Author: heber
- */
-
-#ifndef TEAPOTVIEW_HPP_
-#define TEAPOTVIEW_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
- #include "qglview.h"
- #include "qglteapot.h"
-
- class QGLSceneNode;
-
- class TeapotView : public QGLView
- {
-     Q_OBJECT
- public:
-     TeapotView(QWidget *parent = 0) : QGLView(parent), teapot(0) {}
-     virtual ~TeapotView();
-
- protected:
-     void initializeGL(QGLPainter *painter);
-     void paintGL(QGLPainter *painter);
-
- private:
-     QGLSceneNode *teapot;
- };
-
-
-#endif /* TEAPOTVIEW_HPP_ */
